Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

pkg install bash in a jail

Status
Not open for further replies.

Jacopx

Patron
Joined
Feb 19, 2016
Messages
365
Buonasera a tutti! :)
Is from 6 month that i can't create a Jail. Yesterday i have solved this problem but another one is comes out... If i try to install BASH i received:
Code:
root@matlab_1:/ # pkg install bash
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
pkg: No packages available to install matching 'bash' have been found in the repositories


Of course something goes wrong... I have already try to update everything. I'm not sure that this repo file (/usr/local/etc/pkg/repos/FreeBSD.conf) is correct:

Code:
FreeBSD: {
  url: "pkg+http://pkg.FreeBSD.org/freebsd:10:x86:64/latest",
  mirror_type: "srv",
  enabled: yes
}

I really need to create jail, please help me!
 

danb35

Hall of Famer
Joined
Aug 16, 2011
Messages
13,070
What happens when you run pkg upgrade?
 

Jacopx

Patron
Joined
Feb 19, 2016
Messages
365

danb35

Hall of Famer
Joined
Aug 16, 2011
Messages
13,070
Nothing at all happens? You don't even get a shell prompt back?
 

tording99z28

Dabbler
Joined
Jan 25, 2014
Messages
21
I am actually having this same problem. It is trying to install a version of bash that the tax file does not exist. It is trying to install 4.3.18_2 and that file does not exist. bash-4.4.5 does exist on the freebsd url though. I did a pkg update and it says it updated but it still tries to install 4.3.18_2 instead of 4.4.5. Please help!!
 

Jacopx

Patron
Joined
Feb 19, 2016
Messages
365
I have solved the problem... This is the correct path of the configuration file:

Code:
FreeBSD: {
  url: "pkg+http://pkg.FreeBSD.org/freebsd:9:x86:64/latest",
  mirror_type: "srv",
  enabled: yes
}

I have changed from freebsd:10 --> freebsd:9
 

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,749
I have solved the problem... This is the correct path of the configuration file:

Code:
FreeBSD: {
  url: "pkg+http://pkg.FreeBSD.org/freebsd:9:x86:64/latest",
  mirror_type: "srv",
  enabled: yes
}

I have changed from freebsd:10 --> freebsd:9
Why in the world would you do that?
 

Jacopx

Patron
Joined
Feb 19, 2016
Messages
365
Why in the world would you do that?

Because is the only way damnnn [emoji28]

I have change the jail template too, because the 9.10 template doesn't work. The 9.3 jailplugins is working but no with freebsd:10.

"Does it work?"
"Yes" --> DON'T TOUCH IT


Sent from my iPhone using Tapatalk
 
Status
Not open for further replies.
Top